<?php
/**
 * Front to the WordPress application. This file doesn't do anything, but loads
 * wp-blog-header.php which does and tells WordPress to load the theme.
 *
 * @package WordPress3.2
 * Version: 1.1.2
 */

/**
 * Tells WordPress to load the WordPress theme and output it.
 *
 * @var bool
 */
define('WP_USE_THEMES', false);

/** Loads the WordPress Environment and Template */
require_once '../../../../wp-blog-header.php';

//$wpdb->show_errors();

	global $wpdb;
	global $work_setsubi;

	status_header( 200 );
	header("Content-Type: text/plain; charset=utf-8");

/*******************************
	$shu_data = isset($_POST['shu']) ? $_POST['shu'] : '';
	if(empty($shu_data))
		$shu_data = isset($_GET['shu']) ? $_GET['shu'] : '';

	if($shu_data == '1') 
		$shu_data = '< 3000' ;
	if($shu_data == '2') 
		$shu_data = '> 3000' ;

	if(intval($shu_data) > 3) 
		$shu_data = '= ' .$shu_data ;

	$set_id = isset($_POST['set']) ? $_POST['set'] : '';
	if(empty($set_id))
		$set_id = isset($_GET['set']) ? $_GET['set'] : '';


	if( !empty($shu_data) ){

		//設備・条件
		$widget_seach_setsubi = maybe_unserialize( get_option('widget_seach_setsubi') );

		$sql  =  "SELECT DISTINCT PM.meta_value as setsubi";
		$sql .=  " FROM (($wpdb->posts as P";
		$sql .=  " INNER JOIN $wpdb->postmeta as PM   ON P.ID = PM.post_id) ";
		$sql .=  " INNER JOIN $wpdb->postmeta AS PM_1 ON P.ID = PM_1.post_id) ";
		$sql .=  " WHERE P.post_status='publish' AND P.post_password = '' AND P.post_type ='fudo' ";
		$sql .=  " AND PM_1.meta_key='bukkenshubetsu'";
		$sql .=  " AND CAST( PM_1.meta_value AS SIGNED ) ".$shu_data."";
		$sql .=  " AND PM.meta_key='setsubi'";
//		$sql .=  " GROUP BY PM.meta_value";
		$sql .=  " ORDER BY CAST( PM.meta_value AS SIGNED )";



		$sql = $wpdb->prepare($sql);
		$metas = $wpdb->get_results( $sql,  ARRAY_A );
		$array_setsubi = array();

		if(!empty($metas)) {
			foreach($work_setsubi as $meta_box){

				foreach ( $metas as $meta ) {
					$setsubi_data = $meta['setsubi'];

					if( strpos($setsubi_data,$meta_box['code']) ){
						//echo $meta_box['code'].' ';
						//echo $meta_box['name']."\n";

						$setsubi_code = $meta_box['code'];
						$setsubi_name = $meta_box['name'];

						$data = array( $setsubi_code => array("code" => $setsubi_code,"name" => $setsubi_name));

						foreach($array_setsubi as $meta_box2){
							if ( $setsubi_code == $meta_box2['code'])
								$data = '';
						}
						if(!empty($data))
						$array_setsubi = array_merge( $data , $array_setsubi);
					}
				}
			}
		}

		if(!empty($array_setsubi)) {

			krsort($array_setsubi);

			$setsubi_dat ='<span class="jsearch_setsubi">設備・条件</span><br />';

			foreach($array_setsubi as $meta_box3){


				//$widget_seach_setsubi
				if(is_array($widget_seach_setsubi)) {
					$k=0;
					foreach($widget_seach_setsubi as $meta_box5){
						if($widget_seach_setsubi[$k] == $meta_box3['code']){

							$setsubi_dat .= '<span style="display: inline-block">';
							$setsubi_dat .= '<input type="checkbox" name="set[]"  value="'.$meta_box3['code'].'" id="'.$meta_box3['code'].'"';
								if(is_array($set_id)) {
									foreach($set_id as $meta_box4)
										if( $meta_box4 == $meta_box3['code'] ) $setsubi_dat .= ' checked="checked"';
								}
							$setsubi_dat .= '">';
							$setsubi_dat .= '<label for="'.$meta_box3['code'].'">'.$meta_box3['name'].'</label>';
							$setsubi_dat .= '</span>';


						}
						$k++;
					}
				}else{


							$setsubi_dat .= '<span style="display: inline-block">';
							$setsubi_dat .= '<input type="checkbox" name="set[]"  value="'.$meta_box3['code'].'" id="'.$meta_box3['code'].'"';
								if(is_array($set_id)) {
									foreach($set_id as $meta_box4)
										if( $meta_box4 == $meta_box3['code'] ) $setsubi_dat .= ' checked="checked"';
								}
							$setsubi_dat .= '">';
							$setsubi_dat .= '<label for="'.$meta_box3['code'].'">'.$meta_box3['name'].'</label>';
							$setsubi_dat .= '</span>';


				}



			}
		}
		echo $setsubi_dat;


	}
*****************************/
$setsubi_dat=<<<EOT
<hr />
<span class="jsearch_setsubi"><h4>こだわり条件</h4></span><br />

<h4>階</h4>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10001" id="10001"><label for="10001">何階でも可</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10002" id="10002"><label for="10002">B1階</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10003" id="10003"><label for="10003">1階</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10004" id="10004"><label for="10004">2階</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10005" id="10005"><label for="10005">3階以上</label></span>
<hr />
<h4>居抜き</h4><br />
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10101" id="10101"><label for="10101">居抜き</label></span>
<hr />
<h4>飲食カテゴリー</h4>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10201" id="10201"><label for="10201">居酒屋</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10202" id="10202"><label for="10202">ラーメン</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10203" id="10203"><label for="10203">中華</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10204" id="10204"><label for="10204">イタリアン</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10205" id="10205"><label for="10205">焼肉</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10206" id="10206"><label for="10206">カレー・インド料理</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10207" id="10207"><label for="10207">そば・うどん</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10208" id="10208"><label for="10208">串焼き</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10209" id="10209"><label for="10209">鉄板焼き</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10210" id="10210"><label for="10210">ダイニングバー</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10211" id="10211"><label for="10211">カフェ</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10212" id="10212"><label for="10212">カフェバー</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10213" id="10213"><label for="10213">フレンチ</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10214" id="10214"><label for="10214">和食</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10215" id="10215"><label for="10215">洋食</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10216" id="10216"><label for="10216">すし</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10217" id="10217"><label for="10217">韓国料理</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10218" id="10218"><label for="10218">バー</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10219" id="10219"><label for="10219">クラブ</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10220" id="10220"><label for="10220">キャバクラ・風俗</label></span>
<hr />
<h4>飲食制限</h4>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10301" id="10301"><label for="10301">飲食不可</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10302" id="10302"><label for="10302">飲食相談</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10303" id="10303"><label for="10303">軽飲食のみ</label></span>
<hr />
<h4>店舗カテゴリー</h4>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10400" id="10400"><label for="10400">物販</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10410" id="10410"><label for="10410">病院・歯科医院</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10420" id="10420"><label for="10420">エステ</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10430" id="10430"><label for="10430">オフィス</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10440" id="10440"><label for="10440">学習塾</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10490" id="10490"><label for="10490">他事業用</label></span>
<hr />
<h4>エリアカテゴリー</h4>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10500" id="10500"><label for="10500">商業施設</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10510" id="10510"><label for="10510">オフィス街</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10520" id="10520"><label for="10520">駅前</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10530" id="10530"><label for="10530">住宅街</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10540" id="10540"><label for="10540">繁華街</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10550" id="10550"><label for="10550">商店街</label></span>
<span style="display: inline-block">
<input type="checkbox" name="set[]" value="10560" id="10560"><label for="10560">ロードサイド</label></span>
<hr />
EOT;
		echo $setsubi_dat;




//$wpdb->print_error();

?>
